Subject: bug#12993: Wrong icon for Cygw32-Emacs

From: Eli Zaretskii <[email-masked]>
Date: Tue, 09 Apr 2013 05:41:02 +0300

> Date: Mon, 08 Apr 2013 16:26:39 -0400
> From: Ken Brown <[email-masked]>
> CC: [email-masked], [email-masked]
> 
> The "-Wl,-bpe-i386" part is not necessary.  I just checked this on both 
> Cygwin32 and Cygwin64.  I think it should be removed, since it's 
> confusing to have an unnecessary directive (especially on Cygwin64, 
> where the format is actually pe-x86-64).  But if both directives are 
> removed, the icon doesn't show up.  I guess the comment right before 
> that line in configure.ac explains why.

Then you will have to provide a different directive for the 64-bit
build, because the file type is no longer pe-i386.